# ApplicationFramework
PTKernel
PColStd

# PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent Class Reference

`#include <PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent ()
| PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent (const Handle(Standard_Persistent)&aValue)
void | SetValue (const Handle(Standard_Persistent)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_Standard_Persistent | myValue

## Constructor & Destructor Documentation

PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent::PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent | ( |  | ) |

PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent::PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent | ( | const Handle(Standard_Persistent)& | aValue | ) |

## Member Function Documentation

void PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent::operator new | ( | size_t | size | ) | `[inline]`

void* PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent::SetValue | ( | const Handle(Standard_Persistent)& | aValue | ) |

Standard_Address PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Persistent PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent::myValue `[private]`

The documentation for this class was generated from the following file:

- PColStd_VArrayTNodeOfFieldOfHArray1OfPersistent.hxx